{
    "$graph": [
        {
            "label": "kmer_top_n_extract",
            "class": "CommandLineTool",
            "baseCommand": "kmer_top_n_extract",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-gcextract2-sqlite"
                    },
                    "id": "#kmer_top_n_extract.cwl/gcextract2_sqlite"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#kmer_top_n_extract.cwl/input"
                },
                {
                    "type": "string",
                    "default": "top-reference-assms",
                    "inputBinding": {
                        "prefix": "-otop-assms"
                    },
                    "id": "#kmer_top_n_extract.cwl/otop_assms"
                },
                {
                    "type": "string",
                    "default": "kmer-tax-report.xml",
                    "inputBinding": {
                        "prefix": "-otop-assms-xml"
                    },
                    "id": "#kmer_top_n_extract.cwl/otop_assms_xml"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-ref-assembly-id"
                    },
                    "id": "#kmer_top_n_extract.cwl/ref_assembly_id"
                },
                {
                    "type": "int",
                    "inputBinding": {
                        "prefix": "-ref-assembly-taxid"
                    },
                    "id": "#kmer_top_n_extract.cwl/ref_assembly_taxid"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-taxon-db"
                    },
                    "id": "#kmer_top_n_extract.cwl/taxon_db"
                },
                {
                    "type": [
                        "null",
                        "float"
                    ],
                    "inputBinding": {
                        "prefix": "-threshold"
                    },
                    "id": "#kmer_top_n_extract.cwl/threshold"
                }
            ],
            "id": "#kmer_top_n_extract.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.otop_assms)"
                    },
                    "id": "#kmer_top_n_extract.cwl/gc_id_list"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.otop_assms_xml)"
                    },
                    "id": "#kmer_top_n_extract.cwl/tax_report"
                }
            ]
        },
        {
            "label": "kmer_top_n_extract",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/gcextract2_sqlite"
                },
                {
                    "type": "int",
                    "id": "#main/ref_assembly_id"
                },
                {
                    "type": "int",
                    "id": "#main/ref_assembly_taxid"
                },
                {
                    "type": "File",
                    "id": "#main/taxon_db"
                },
                {
                    "type": "File",
                    "id": "#main/top_distances"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/kmer_top_n_extract/gc_id_list",
                    "id": "#main/gc_id_list"
                },
                {
                    "type": "File",
                    "outputSource": "#main/kmer_top_n_extract/tax_report",
                    "id": "#main/tax_report"
                }
            ],
            "steps": [
                {
                    "run": "#kmer_top_n_extract.cwl",
                    "in": [
                        {
                            "source": "#main/gcextract2_sqlite",
                            "id": "#main/kmer_top_n_extract/gcextract2_sqlite"
                        },
                        {
                            "source": "#main/top_distances",
                            "id": "#main/kmer_top_n_extract/input"
                        },
                        {
                            "source": "#main/ref_assembly_id",
                            "id": "#main/kmer_top_n_extract/ref_assembly_id"
                        },
                        {
                            "source": "#main/ref_assembly_taxid",
                            "id": "#main/kmer_top_n_extract/ref_assembly_taxid"
                        },
                        {
                            "source": "#main/taxon_db",
                            "id": "#main/kmer_top_n_extract/taxon_db"
                        },
                        {
                            "default": 0.1,
                            "id": "#main/kmer_top_n_extract/threshold"
                        }
                    ],
                    "out": [
                        "#main/kmer_top_n_extract/tax_report",
                        "#main/kmer_top_n_extract/gc_id_list"
                    ],
                    "id": "#main/kmer_top_n_extract"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
